Alpha 1.0.1:
	Blobs:
		No longer are anchored to entities
		All of any one type are tied to the same instance; multiple blobs no longer repeatedly apply their effect when stacked inside of each other
		A single blob also only applies its effect once per time frame
		The applying of blob effects has been greatly streamlined and causes much less lag than before
		New blobs no longer teleport some of themselves to any locations where previous blobs existed.
		TL;DR: They actually work now.

	Fixed:
		Throwable items not being taken from the inventory in survival when thrown
		Random level algorithm of weapons and armor causing +3 and +2 equipment to become much more common than intended.
		Particles sometimes appearing far farther away from where they're intended to spawn

	Visual:
		Added some textures of grass, dirt, and cobblestone originating from Sprouted Pixel Dungeon

Alpha 1.1.0:
	New Mods:
		bucket by Kahrl, celeron55 (Perttu Ahola), and others
			-I always intended for there to be buckets, I just forgot to add this. It just so happens to be one of cannons' dependencies.

		cannons by Semmett9, eythen, and addi
			-When boss fights are implemented, they'll revolve around player preparation and the fact that they're meant to be summoned, not encountered. To help with this, I want this and maybe a couple other things like it, 

		give_initial_stuff by celeron55 (Perttu Ahola) and others
			-Players now start with a ration of food and cloth armor.

	Buffs:
		Buff HUD has been implemented.
		New buff: Rooted, locks the player or mob in place
		New buff: Bleeding, causes damage over time which comes in an initially high burst, followed by a longer period with little damage per second.
		New buff: Crippled, halves the movement speed of affected creature

	Traps:
		Traps can now be hidden. Hidden traps are invisible, but can be punched or right-clicked to be revealed. Debug info also tells you if you're currently pointing at a hidden trap.
		Added trap variants for each of the layers after the Sewers
		New trap: Gripping Trap, which applies the Bleeding and Crippled debuffs when triggered.
		New trap: Toxic Gas Trap, spawns a lot of toxic gas when stepped on.
		Duration of Poison given by Poison Dart Traps is now depth-dependent.

	Misc:
		Added a folder of the screenshots to the code
		New node: Demonite Block, craftable from 9 Demonite Ingots.
		Mystery Meat now has a chance to apply the Rooted debuff.
		Potions of Healing now remove Bleeding and Crippled.

	Fixed:
		Demonite Armor being impossible to craft
		Traps not spawning in the underground
		Poison Traps crashing the game when triggered
		Potions and Scrolls being used up in creative mode unless the creative privilege was applied
		New plants and foilage not being floodable when they logically should

	Visual:
		Added some textures of dirt and snow from Remixed Dungeon
		Added silver sand texture, based on the sand texture from Sprouted Pixel Dungeon
		Added new sign textures from Pixel Dungeon (only the Sewers one)

Alpha 1.2.0:
	Saving:
		Switched saving method from writing and reading .txt files to using minetest.get_mod_storage().
		As a result, old save files are worthless and can be deleted. 
		Also, strength and max HP upgrades gained in previous worlds will be lost.
		On the bright side, limited drops will also be reset, so you can get those upgrades back from new chests.
		Blobs now save and persist after server shutdown
		Player buffs now persist after logging off, and entity buffs now persist after despawning

	Mobkit and Mobs:
		New mod added, made by TheTermos
		Mobs_redo will be kept because of its spawn egg function.
		All the previous mobs have been replaced by replicas that were registered using mobkit instead of mobs_redo
		Note that older worlds will be filled with lots of unknown entities if loaded with this version of the game.
		Mobs from mobkit now show their name and remaining hp when in sight of a player

	New Buffs:
		Amok: Causes mobs to attack each other
		Blindness: Players have a nearly opaque black filter over their screen and mobs have their vision radius set to 2
		Haste: Grants triple movement speed
		Herbal Armor: As long as the player with this stands still, it absorbs all damage until it runs out.
		Immune to Gases: Harmful gases have no effect on you while this is active
		Levitating: Sets your gravity to 0 and makes you immune to the Rooted debuff
		Mind Vision: You can see enemy nametags through walls. Various AOE scrolls also work through walls if the reader has this buff.
		Terror: Causes mobs to flee from whoever infliced it
		Weakness: Players temporarily lose 2 points of strength

	Potion and Scroll Effect Implementations:
		Potion of Haste: When drank, grants haste for 20 seconds
		Potion of Levitation: When drank, grants levitation for 20 seconds
		Potion of Mind Vision: When drank, grants mind vision 20 seconds.
		Potion of Purification: When drank, grants immunity to gases 20 seconds. When shattered, it erases nearby gases.
		Scroll of Terror: When read, all nearby mobs become terrified of the reader for 10 seconds.
		Scroll of Rage: When read, inflicts amok upon nearby mobs. Mobs that are farther away and/or behind walls will be lured to your location.
		Scroll of Psionic Blast: When read, nearby mobs and players are severely damaged or killed, and the player takes some self damage.
			Survivors of the blast are blinded for 10 seconds and weakened for 100 seconds. Self damage is reduced if the blast hits many.

	Misc:
		Strength bonus is now 0.5 damage per excess strength, down from 1
		removed the mod give_initial_stuff, Voxel Dungeon's core mod now handles giving out initial stuff. Initial stuff itself is unchanged.
		New plant: Earthroot, grant Herbal Armor equal to the player's max hp.
		More blob optimization
		Sources of toxic gas now create triple the amount, to somewhat help account for the fact that blobs decay faster when spreading in 3 dimentions

	Fixed:
		The starting cloth armor having no description until it's upgraded
		Some cases where the whole buff hud would disappear (despite any presense of lingering buffs) until a new buff is added
		Teleportation sometimes teleporting the target into solid nodes, and many times not at all.
		Herbal Healing failing to replenish itself properly if the player tries to step onto a second sungrass while the first is active
		Potions never doing anything when shattered until the world has been reloaded at least once.
		Mobs needing to visually sink partially into the ground in order to work properly with on_move_callbacks

	Visual:
		Various buffs now say something when they're first attached.
		Potions that don't do anything when shattered now only tell nearby players about it, not everyone on the server
		There are now messages to players when they are teleported, and when a player's teleportation fails.
		Mossy Cobblestone is no longer brighter than normal cobblestone

Alpha 1.3.0:
	New Content:
		There's now a welcome message for newly joined players
		New buff: Paralysis, prevents movement, attacking, digging, building, and item use. May be ended by physical attacks, especially at low HP
		New buff: Frozen, similar to paralysis but any physical attack ends it. It can freeze a potion or mystery meat in your inventory.
		New blob: Paralytic Gas, applies the paralysis debuff. Does not mix with toxic gas.
		Implemented Potion of Paralytic Gas, creates a large cloud of paralytic gas
		Implemented Potion of Frost, freezes players, mobs, dropped items, and nodes in a 3x3x3 cubic area where it shatters.
		New trap: Paralytic Gas trap, same as potion of paralytic gas
		New item: Frozen Carpaccio, a frozen piece of mystery meat that may heal you or cure the poisoned, crippled, and bleeding debuffs
		New plant: Icecap, works like a shattered Potion of Frost when trampled
		Seeds of Earthroot are now available in chests and from trampled foilage

	Prison Mobs:
		These mobs now spawn in the game.
		Crazy Thief: Can steal a single item from you and run away.
		Skeleton: On death, damages everything within 2 nodes of it
		Spider (mobs_monster)

	Misc:
		Now most plant and trap effects apply to everything currently standing at the node's position upon activation
		The crippled buff now works on entities
		Right click is now used to read scrolls, not left click
		Blindness now prevents scroll and book reading
		Buffs now no longer repeat their on_attach message when re-attached before running out
		Mob corpses no longer reappear if the server shuts down before they despawn naturally
		This game now comes bundled with PixelFont. To use it, you must change your own Minetest's font settings.

	Fixed:
		Game crash caused by the Bleeding debuff
		Various HUD issues caused by more than one buff being attached or detached at the same time
		Buffs not deleting their save data upon detachment
		Buffs no longer steal the health bar's outline upon creation.
		Mobs continuing to run away after Terror's duration runs out
		Terror now saves properly
		Seeds of Earthroot never spawning naturally or being found from foilage or chests
		Mobs knocking back rooted players
		Typo in the message players get when teleported
		The entity used to freeze players in place being visible
		Some food items being infinitely usable

Alpha 1.3.1:
	Fixed:
		Crash caused by a player being punched while wearing any kind of armor.

Alpha 1.4.0:
	New Mods:
		biome_lib by vanessaE
			-Dependency of moretrees

		vessels by vanessaE, celeron55 (Perttu Ahola), and others
			-Dependency of moretrees; vessel shelves can now hold potions

		moretrees by vanessaE, Rogier, and Tim Huppertz
			-Wand textures are based on some default tree types and most of the trees added by this mod

	Wands:
		A new tool type useable with right-click
		Sprites are randomized; each type of wand is made out of a different type of wood
		Wands have a maximum amount of charges before they have to recharge. They recharge over time, and recharge faster the more they are depleted.
		Can be upgraded; and upgrade does different things for each wand, but the common factor is increasing max charges and instantly recharging
		Wand damage always ignores armor
		Most haven't been implemented yet. Those that do nothing will have a blank description.

		Wand of Blast Wave: Creates a small blast that deals little damage but has strong knockback. Upgrades increase knockback.
		Wand of Corrosion: Creates a small cloud of corrosive gas. Upgrades increase the size of the cloud created.
		Wand of Disintegration: Shoots a short lazer that pierces all terrain and mobs, destroys flammable terrain, and grows stronger with each thing it passes through. Upgrades increase the lazer's range. There's no visual for this lazer yet.
		Wand of Flock: Uses up all of its charges to summon a flock of magic sheep. The more charges used, the more sheep are summoned.
		Wand of Magic Missile: Shoots a projectile with moderate damage and no special effects. Has 1 more max charge than usual
		Wand of Vampirism: Shoots a projectile with below average damage that steals health from its target and gives half of that HP to its user.

	Repair Tools:
		These items are rare finds from chests, and are dedicated to repairing a specific type of tool. 
		Each can be used up to 3 times before breaking, and on use will restore up to 33% of a tool's max durability.
		There are Armorer's Kits for armor, Arcane Batteries for wands, and Whetstones for weapons.

	Misc:
		New Buff: Corrosion, damage over time that continuously increases in strength until it runs out.
		New Buff: Recharging, cuts down on time needed for wands to recharge by 90% until it runs out.
		New Blob: Corrosive Gas, anything caught inside is given the corrosion buff.
		New Mob: Magic Sheep, immortal mob that does nothing for 10 seconds and then explodes.
		New Item: Weightstone, can be used to augment a melee weapon to increase its speed or durability, at the cost of the other.
		Implemented: Scroll of Recharging, grants to the user 20 turns of the Recharging buff
		The bottoms of item text boxes with multi-line descriptions has been lowered to fit PixelFont better.
		Height of thrown items has been raised slightly to better match the cursor's position.
		Particles no longer persist after server shutdown.
		Snow is no longer walkable.
		Melee weapons can be used to break blocks.
		Battleaxe and hand axe can now be used to mine wood faster.
		Tuned down the amount of mobs that are spawned.
		Made various adjustments to item spawning

	Fixed:
		More cases where random teleportation could put you in a wall
		Shattered potions of purification not clearing paralytic gas
		on_secondary_use of items not working properly when used against mobs
		All mobs effectively having 0 armor
		Mobs being immune to explosions
		Mobs spawning in water/lava and having no chance at life
		Tall grass not being destroyed properly when flooded
		Armor not saving properly when upgraded while equpped
		Player's speed not being updated properly after weakness wears off
		A few cases of random crashing from events on the server not caused by players
		Crash caused by digging or exploding a sungrass or earthroot
		Crashed cause by player being attacked while having the herbal armor buff

	Visual:
		Various tweaking to particle behavior
		The color of grass particles is now different based on the type of tall grass trampled
		Added a particle effect for shattered potions
		Added a blood burst effect when players and mobs are punched. Some mobs have different blood colors. 
		The bleeding debuff also gets the blood visual effect.

Alpha 1.5.0:
	Bones:
		Now, when a player dies, only a portion of the player's inventories are put in the bone block.
		This includes "unique" items (currently just the dew vial), and items that the player was wielding or wearing when they died
		Also, out of the remaining items, ~25% of them will be randomly preserved. The rest will vanish forever.
		If the player's inventory is completely empty, instead of placing no bones at all, the bone block will be given 1 gold.

	Fire:
		New blob: Fire, rapidly consumes flammable nodes and leaves behind embers. Ignites creatures that touch it. Burns up flammable item entities.
		New buff: burning, deals damage over time, spreads more fire to where its target moves, burns up flammable items in the target's inventory.
		(Note that due to an engine bug, the player's particle effect is invisible in third person mode; https://github.com/minetest/minetest/pull/8342)
		The fire buff will replace the frozen buff when attached, and vice versa
		Items that made fire nodes before (Fireblooms, Flind And Steel, TNT, etc.), now make fire blobs instead.
		Implemented Potions of Liquid Flame: Create a 3x3x3 cube of fire blob
		New Trap: Fire Trap, does the same as a shattered potion of liquid flame
		The fire buff will replace frozen, and vice versa
		Potions of frost now extinguish fire blobs upon shattering.
		Various items such as bombs, dew, scrolls, and a few armors are now considered flammable.

	Misc:
		New Item: Dew Vial; Dew is stored in this if it's not full already. You can drink it to restore your HP. Only uses as much dew as needed.
		New Item: Ankh, revives a dead player at full HP as long as it's in said player's inventory, at the cost of most of the user's inventory
		New Item: Blessed Ankh, created by crafting a full Dew Vial with an Ankh. Revives the player without any items lost (except the ankh itself)
		Healing from dew is now 5% of max HP, up from 1

	Fixed:
		When a player would try to augment an item that already had the same augment, that would be announced to the whole server.
		Mimics never spawning from newly opened chests
		Crash caused by throwing a potion of frost at ignore

	Visual:
		Particles no longer become black when inside nodes.

Alpha 1.6.0:
	Identification:
		Various items are now unidentified when first found.
		Unidentified weapons have their level hidden, and become identified after 20 "proper" uses (No spam clicking)
		Unidentified armors have their level hidden, and become identified after 15 hits taken while worn
		Unidentified wands have their level hidden, which becomes known after 10 zaps.
		Implemented: Scroll of Identify, instantly fully identifies a single selected item.

	Misc:
		Eating mystery meat can now cause spontaneous combustion.
		Repair tools now prevent you from trying to select items with no wear, rather than giving you a message about the item being fully repaired.
		Updated various mods
		Copied LICENSE.txt into base directory

	Fixed:
		Armor's durability not being saved properly after taking damage.
		Grass not properly dropping seeds
		Compatability issues with MT 5.3

	Performance:
		Instead of a blob always iterating over every single position it covers, it instead is limited to 100 positions per second. So, extremely large blobs slow themselves more than the server as a whole.

Alpha 1.6.1:
	Misc Changes:
		Buff-related particles are now visible in first person
		Added particles for levitating players

	Mods added:
		Voxelmodel (Currently unused outside of testing purposes)

	Updates:
		Various mods to Minetest Game 5.4.1: beds, bucket, creative, default, doors, env_sounds, farming, fire, game_commands, player_api, stairs, tnt, vessels
		HBHunger to 1.1.1
		Hudbars to 2.3.3
		Mobkit to CDB release 2021-02-02

	Fixed:
		Crash that could be caused by unloaded objects
		Crash caused by having a buff
		Crash caused by Weightstone
		Crash caused by Dew Vial
		Crash caused by loading the game when a player is already inflicted with a buff of some kind
		Buff-related particles being offset weirdly when attached to players
		Crash caused by trying to start the game with damage disabled.

